## fpdf2 2.7.8

=== test/requirements.txt ===
bandit
black
# camelot-py[base] : does not work due to https://github.com/vinayak-mehta/pdftopng/issues/11
camelot-py
endesive
ghostscript  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
opencv-python  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
pre-commit
pylint
pytest
pytest-cov
qrcode
semgrep
tabula-py
uharfbuzz

=== debian/changelog ===
fpdf2 (2.7.8-2) unstable; urgency=medium

  * Disable autopkgtests on ppc64el because of failures caused by camelot-py.

 -- Elena Grandi <valhalla@debian.org>  Wed, 14 Feb 2024 09:53:29 +0100

fpdf2 (2.7.8-1) unstable; urgency=medium

  * New upstream release.
  * Added autopkgtests.

 -- Elena Grandi <valhalla@debian.org>  Mon, 12 Feb 2024 13:22:34 +0100

fpdf2 (2.7.7-2) unstable; urgency=medium

  * Added UMEGAYA.
  * Bump copyright dates.

 -- Elena Grandi <valhalla@debian.org>  Wed, 07 Feb 2024 10:44:42 +0100

fpdf2 (2.7.7-1) unstable; urgency=low

  * Initial upload. (Closes: #882374)

 -- Elena Grandi <valhalla@debian.org>  Tue, 19 Dec 2023 11:34:28 +0100

=== debian/control ===
Source: fpdf2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Elena Grandi <valhalla@debian.org>
Section: python
Priority: optional
Build-Depends:
 dh-python,
 python3-setuptools,
 python3-all,
 debhelper-compat (= 13),
 camelot,
 python3-defusedxml,
 python3-endesive,
 python3-fonttools (>= 4.34.0),
 python3-pil (>= 6.2.2),
 python3-pytest,
 python3-pytest-cov,
 python3-qrcode,
 qpdf,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://py-pdf.github.io/fpdf2/
Vcs-Git: https://salsa.debian.org/python-team/packages/fpdf2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/fpdf2

Package: python3-fpdf
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-defusedxml,
 python3-fonttools (>= 4.34.0),
 python3-pil (>= 6.2.2),
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Simple & fast PDF generation for Python
 a library for PDF document generation under Python, ported from PHP.
 .
 Compared with other PDF libraries, PyFPDF is simple, small and versatile, with
 advanced capabilities, and is easy to learn, extend and maintain.

=== debian/tests/control ===
Tests: autodep8
Depends:
 @,
 python3-all,
Restrictions: allow-stderr

Tests: unittests
Depends:
 @,
 python3-all,
 camelot,
 python3-defusedxml,
 python3-endesive,
 python3-fonttools (>= 4.34.0),
 python3-pil (>= 6.2.2),
 python3-pytest,
 python3-pytest-cov,
 python3-qrcode,
 qpdf,
# some tests on ppc64el are failing, most likely because of an issue in
# camelot-py; temporarily disable them until that issue is fixed.
Architecture: amd64, arm64, armel, armhf, i386, s390x
Restrictions: allow-stderr

## fpdf2 2.7.9

=== debian/changelog ===
fpdf2 (2.7.9-2) unstable; urgency=medium

  * Allow a test to run on different pytest versions. (Closes: #1071767)

 -- Elena Grandi <valhalla@debian.org>  Wed, 19 Jun 2024 10:24:13 +0200

fpdf2 (2.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Elena Grandi <valhalla@debian.org>  Tue, 21 May 2024 14:02:58 +0200

## fpdf2 2.8.1

=== test/requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 camelot-py
 endesive
 ghostscript  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
+numpy<2  # required by opencv-python, required for now to avoid an ImportError: numpy.core.multiarray failed to import, followed by an AttributeError: _ARRAY_API not found when importing cv2
 opencv-python  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
 pre-commit
 pylint

=== debian/changelog ===
fpdf2 (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Tue, 05 Nov 2024 14:13:52 +0100

## fpdf2 2.8.2

=== docs/requirements.txt ===
mkdocs
mkdocs-include-markdown-plugin
mkdocs-material
mkdocs-minify-plugin
mkdocs-redirects
mkdocs-with-pdf
mknotebooks
# mkdocs-macros-plugin
# mkdocs-redirects
pdoc3

=== test/requirements.txt ===
# camelot-py[base] : does not work due to https://github.com/vinayak-mehta/pdftopng/issues/11
camelot-py
endesive
ghostscript  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
opencv-python  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
pytest
pytest-cov
qrcode
tabula-py
uharfbuzz

=== debian/changelog ===
fpdf2 (2.8.2-2) unstable; urgency=medium

  * Ignore a spurious ResourceWarning in one of the tests. (Closes: #1090223)
  * Bump copyright year for debian/.

 -- Elena Grandi <valhalla@debian.org>  Wed, 08 Jan 2025 14:25:16 +0100

fpdf2 (2.8.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1090223)

 -- Elena Grandi <valhalla@debian.org>  Mon, 23 Dec 2024 11:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest-cov,
  python3-qrcode,
  qpdf,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://py-pdf.github.io/fpdf2/
 Vcs-Git: https://salsa.debian.org/python-team/packages/fpdf2.git

## fpdf2 2.8.3

=== contributors/requirements.txt ===
agithub
jinja2

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
+lxml
 mkdocs
+mkdocs-git-revision-date-localized-plugin
 mkdocs-include-markdown-plugin
+mkdocs-macros-plugin
 mkdocs-material
 mkdocs-minify-plugin
 mkdocs-redirects

=== test/requirements.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 endesive
 ghostscript  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
 opencv-python  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
+pikepdf
 pytest
 pytest-cov
 qrcode

=== debian/changelog ===
fpdf2 (2.8.3-1) unstable; urgency=medium

  * New upstream release
  * New build dependency: python3-pikepdf.
  * Bump standards-version (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Tue, 06 May 2025 10:38:52 +0200

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,13 @@
  python3-defusedxml,
  python3-endesive,
  python3-fonttools (>= 4.34.0),
+ python3-pikepdf,
  python3-pil (>= 6.2.2),
  python3-pytest,
  python3-pytest-cov,
  python3-qrcode,
  qpdf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://py-pdf.github.io/fpdf2/
 Vcs-Git: https://salsa.debian.org/python-team/packages/fpdf2.git

## fpdf2 2.8.4

=== test/requirements.txt ===
--- 
+++ 
@@ -7,5 +7,7 @@
 pytest
 pytest-cov
 qrcode
+asn1crypto  # required by endesive.signer
+requests # required by endesive.signer
 tabula-py
 uharfbuzz

=== debian/changelog ===
fpdf2 (2.8.4-2) unstable; urgency=medium

  * Backport upstream support for pillow v12. (Closes: #1118678)

 -- Elena Grandi <valhalla@debian.org>  Fri, 24 Oct 2025 13:04:53 +0200

fpdf2 (2.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Added Recommends on python3-numpy, used to improve performance on
    pack_codes_into_bytes().

 -- Elena Grandi <valhalla@debian.org>  Thu, 21 Aug 2025 10:42:48 +0200

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,9 @@
  python3-defusedxml,
  python3-fonttools (>= 4.34.0),
  python3-pil (>= 6.2.2),
-Recommends: ${python3:Recommends}
+Recommends:
+ ${python3:Recommends},
+ python3-numpy,
 Suggests: ${python3:Suggests}
 Description: Simple & fast PDF generation for Python
  a library for PDF document generation under Python, ported from PHP.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Thu, 10 Aug 2023 11:49:57 +0200
export PYBUILD_NAME=fpdf2
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# the tests expect the fpdf2-logo.png file in an accessible location
	for D in .pybuild/* ; \
		do mkdir -p $$D/build/docs ; \
		cp ./docs/fpdf2-logo.png $$D/build/docs ; \
		done
	dh_auto_test
	rm -r .pybuild/*/build/docs
	rm -r .pybuild/*/build/.coverage
	rm -r .pybuild/*/build/coverage.xml

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-defusedxml,
  python3-endesive,
  python3-fonttools (>= 4.34.0),
+ python3-pikepdf,
  python3-pil (>= 6.2.2),
  python3-pytest,
  python3-pytest-cov,

=== debian/watch ===
# please also check http://pypi.debian.net/fpdf2/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/fpdf2/fpdf2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fpdf2 2.8.7

=== debian/changelog ===
fpdf2 (2.8.7-2) unstable; urgency=medium

  * Added missing dependency to the autopkgtests.
  * Added Recommends on python3-uharfbuzz.

 -- Elena Grandi <valhalla@debian.org>  Tue, 03 Mar 2026 10:24:06 +0100

fpdf2 (2.8.7-1) unstable; urgency=medium

  [Elena Grandi]
  * New upstream release.
  * Added some test files obtained from third parties to debian/copyright.
  * Removed some test-related patches that are no longer needed to run tests
    inside debian.
  * Updated debian/watch to version 5.
  * Bump Standards-Version to 4.7.3 (no changes needed).

  [Bastian Germann]
  * Added build dependency on python3-uharfbuzz.

 -- Elena Grandi <valhalla@debian.org>  Mon, 02 Mar 2026 15:14:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders:
  Elena Grandi <valhalla@debian.org>
 Section: python
-Priority: optional
 Build-Depends:
  dh-python,
  python3-setuptools,
  python3-all,
  debhelper-compat (= 13),
  camelot,
+ pybuild-plugin-pyproject,
  python3-defusedxml,
  python3-endesive,
  python3-fonttools (>= 4.34.0),
@@ -18,9 +18,9 @@
  python3-pytest,
  python3-pytest-cov,
  python3-qrcode,
+ python3-uharfbuzz,
  qpdf,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://py-pdf.github.io/fpdf2/
 Vcs-Git: https://salsa.debian.org/python-team/packages/fpdf2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fpdf2
@@ -36,6 +36,7 @@
 Recommends:
  ${python3:Recommends},
  python3-numpy,
+ python3-uharfbuzz,
 Suggests: ${python3:Suggests}
 Description: Simple & fast PDF generation for Python
  a library for PDF document generation under Python, ported from PHP.

=== debian/tests/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  python3-pytest,
  python3-pytest-cov,
  python3-qrcode,
+ python3-uharfbuzz,
  qpdf,
 # some tests on ppc64el are failing, most likely because of an issue in
 # camelot-py; temporarily disable them until that issue is fixed.
